This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 730620 - Review Request: infiniband-diags - OpenFabrics Alliance InfiniBand Diagnostic Tools
Review Request: infiniband-diags - OpenFabrics Alliance InfiniBand Diagnostic...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
16
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-15 02:30 EDT by Albert Strasheim
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-06 11:25:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Albert Strasheim 2011-08-15 02:30:00 EDT
Spec URL: http://bekstil.net/~albert/SPECS/infiniband-diags.spec
SRPM URL: http://bekstil.net/~albert/SRPMS/infiniband-diags-1.5.8-1.fc15.src.rpm
Description: This package provides IB diagnostic programs and scripts needed to
diagnose an IB subnet.
Comment 1 Albert Strasheim 2011-08-15 02:32:53 EDT
This is mostly Doug Ledford's work, but he's busy at the moment, so he provided me with the SRPM he is using for RHEL 6 and asked that I usher it through the Fedora process.

This package depends on the new versions of libibumad, libibmad and opensm that he has already submitted for FC16.
Comment 2 Albert Strasheim 2012-01-04 05:17:39 EST
I have made an updated package based on Doug's new IB packages here:

https://admin.fedoraproject.org/updates/FEDORA-2012-0092/libibmad-1.3.8-1.fc16,libmlx4-1.0.2-3.fc16,libcxgb3-1.3.1-1.fc16,librdmacm-1.0.15-1.fc16,libibverbs-1.1.6-1.fc16,libnes-1.1.3-1.fc16,opensm-3.3.12-1.fc16

Spec URL: http://bekstil.net/~albert/SPECS/infiniband-diags.spec
SRPM URL: http://bekstil.net/~albert/SRPMS/infiniband-diags-1.5.12-1.fc16.src.rpm

rpmlint looks good, except for a warning about

Provides: perl(IBswcountlimits)

in the spec file. Not quite sure how to fix that.
Comment 3 Albert Strasheim 2012-01-04 05:19:20 EST
rpmlint output:

infiniband-diags.spec:11: W: unversioned-explicit-provides perl(IBswcountlimits)
infiniband-diags.x86_64: W: spelling-error %description -l en_US subnet -> subset, sublet, sub net
infiniband-diags.x86_64: W: no-manual-page-for-binary check_lft_balance.pl
infiniband-diags.x86_64: W: no-manual-page-for-binary ibdiscover.pl
infiniband-diags.x86_64: W: no-manual-page-for-binary dump_mfts.sh
infiniband-diags.x86_64: W: no-manual-page-for-binary ibqueryerrors.pl
infiniband-diags.x86_64: W: no-manual-page-for-binary dump_lfts.sh
infiniband-diags.x86_64: W: no-manual-page-for-binary ibswportwatch.pl
infiniband-diags.x86_64: W: no-manual-page-for-binary ibfindnodesusing.pl
infiniband-diags.x86_64: W: no-manual-page-for-binary ibprintca.pl
infiniband-diags.x86_64: W: no-manual-page-for-binary ibprintswitch.pl
infiniband-diags.x86_64: W: no-manual-page-for-binary iblinkinfo.pl
infiniband-diags.x86_64: W: no-manual-page-for-binary set_nodedesc.sh
infiniband-diags.x86_64: W: no-manual-page-for-binary ibidsverify.pl
infiniband-diags.x86_64: W: no-manual-page-for-binary ibprintrt.pl
infiniband-diags-devel.x86_64: W: manual-page-warning /usr/share/man/man3/ibnd_discover_fabric.3.gz 8: warning: macro `bi' not defined
infiniband-diags-devel-static.x86_64: W: no-documentation
Comment 4 Doug Ledford 2012-01-06 11:25:05 EST
Closing this out so I can submit the request myself as agreed with Albert.

Note You need to log in before you can comment on or make changes to this bug.